Make SCSI SG v4 driver enabled by default and remove EXPERIMENTAL dependency, since...
John Stoffel [Tue, 4 Aug 2009 20:10:17 +0000 (22:10 +0200)]
Make Block Layer SG support v4 the default, since recent udev versions
depend on this to access serial numbers and other low level info properly.

This should be backported to older kernels as well, since most distros have
enabled this for a long time.

Signed-off-by: John Stoffel <john@stoffel.org>
Cc: stable@kernel.org
Signed-off-by: Jens Axboe <jens.axboe@oracle.com>

block/Kconfig

index 95a86ad..9be0b56 100644 (file)
@@ -48,9 +48,9 @@ config LBDAF
          If unsure, say Y.
 
 config BLK_DEV_BSG
-       bool "Block layer SG support v4 (EXPERIMENTAL)"
-       depends on EXPERIMENTAL
-       ---help---
+       bool "Block layer SG support v4"
+       default y
+       help
          Saying Y here will enable generic SG (SCSI generic) v4 support
          for any block device.
 
@@ -60,7 +60,10 @@ config BLK_DEV_BSG
          protocols (e.g. Task Management Functions and SMP in Serial
          Attached SCSI).
 
-         If unsure, say N.
+         This option is required by recent UDEV versions to properly
+         access device serial numbers, etc.
+
+         If unsure, say Y.
 
 config BLK_DEV_INTEGRITY
        bool "Block layer data integrity support"